require 'gdsapi/client'
require 'gdsapi/methods'
require 'gdsapi/requester'
require 'gdsapi/structs'
require 'gdsapi/version'
require 'gdsapi/methods/utils/parse_utils'
require 'gdsapi/methods/base_method'
require 'gdsapi/methods/get_available_trips'
require 'gdsapi/methods/get_countries'
require 'gdsapi/methods/get_locations'
require 'gdsapi/methods/get_points'
require 'gdsapi/structs/country'
require 'gdsapi/structs/location'
require 'gdsapi/structs/point'
require 'gdsapi/structs/type'
require 'gdsapi/structs/sub_type'

# This provides core package manifesto
## Possible error definitions are provided here
module Gdsapi
  # Error thrown on something done wrong on request-side
  class BadRequestError < StandardError ; end
  # Error thrown on 401 from GDS
  class UnathorizedError < BadRequestError ; end
  # Error thrown on 404 from GDS
  class NotFoundError < BadRequestError ; end
  # Error thrown when something is weird with GDS
  class GdsError < StandardError ; end
  # Error thrown when Gds returned server-side exception
  class GdsInternalError < GdsError ; end
  # Error thrown when GDS returned sudden redirect
  class GdsRedirectError < GdsError ; end
  # Error thrown when GDS returned somewhat invalid
  class MalformedGdsResponse < GdsError ; end
end
