# GDS Method class used to check availability of trips
# For more information, see [http://demo.gillbus.com/v2/doc.html#поиск-рейсов-доступность-рейсов-get]
module Gdsapi
  module Methods
    class GetAvailableTrips < BaseMethod
      private

      ## Parsing routine to be executed while performing action
      ## Actually, does nothing
      ## @param [Array] body - parsed JSON payload from GDS
      ## @return [Array] set of available dates for given trip
      def parse(body)
        body
      end

      def path
        'available_trips'
      end

      # Query params
      # :arrival [String] - GDS arrival point id (required)
      # :departure [String] - GDS departure point id (required)
      # :tickets [Number] - number of tickets for trip (required)
      # :mode [Number] - transport type (optional, buses are: 1,8)
      # :dates [String] - dates for trip (required, format: yyyy-mm-dd, delimiter: ';')
      # :return_only_branded [Boolean] - returns data only for branded trips if true
      def permitted_params
        %i(arrival departure tickets mode dates return_only_branded)
      end
    end
  end
end
