## Country struct
## Used when syncing geodata with GDS
## See [Gdsapi::Methods::GetCountries] for details
## Also see http://demo.gillbus.com/v2/doc.html#получение-географии-страны for schema definition
module Gdsapi
  module Structs
    class Country < ::Dry::Struct
      attribute :id, Structs::Coercible::Int
      attribute :name, Structs::Coercible::String
      attribute :type_id, Structs::Coercible::Int
      attribute :attributes, Attributes.optional

      def attribute_by_id(id)
        if attributes && id
          attributes.find {|attribute| attribute.id == id}
        end
      end
    end
  end
end
