## Country struct
## Used when syncing geodata with GDS
## See [[Gdsapi::Methods::GetLocations]] for details
## Also see [http://demo.gillbus.com/v2/doc.html#получение-географии-получение-населенных-пунктов-get] for schema definition
module Gdsapi
  module Structs
    class Location < ::Dry::Struct
     constructor_type(:schema)
      
      attribute :id, Structs::Coercible::Int
      attribute :name, Structs::Coercible::String
      attribute :latitude, Structs::Coercible::Float
      attribute :longitude, Structs::Coercible::Float
      attribute :parent, Parent.optional
      attribute :type_id, Structs::Coercible::Int
      attribute :sub_type_id, Structs::Coercible::Int.optional
      attribute :attributes, Attributes.optional

      def attribute_by_id(id)
        if attributes && id
          attributes.find {|attribute| attribute.id == id}
        end
      end
    end
  end
end
