## Point struct
## Used when syncing geodata with GDS
## See [[Gdsapi::Methods::GetPoints]] for details
## Also see [http://demo.gillbus.com/v2/doc.html#получение-географии-получение-списка-остановок-get] for schema definition
module Gdsapi
  module Structs
    class Point < ::Dry::Struct
      attribute :id, Structs::Coercible::Int
      attribute :type, Structs::Coercible::Int
      attribute :name, Structs::Coercible::String
      attribute :latitude, Structs::Coercible::Float
      attribute :longitude, Structs::Coercible::Float
      attribute :parent, Parent.optional
      attribute :address, Structs::Coercible::String
      attribute :attributes, Attributes.optional
    end
  end
end
